Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security
Class DigestException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.security.GeneralSecurityException
                  java.security.DigestException

All Implemented Interfaces:
  Serializable

    public class DigestException

extends GeneralSecurityException

This is the generic Message Digest exception.

See Also:
  Serialized Form

Constructor Summary
`DigestException()` Constructs a DigestException with no detail message.
`DigestException(String msg)` Constructs a DigestException with the specified detail message.
`DigestException(String message, Throwable cause)` Creates a `DigestException` with the specified detail message and cause.
`DigestException(Throwable cause)` Creates a `DigestException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DigestException

    public DigestException()

  Constructs a DigestException with no detail message. (A detail message is a String that describes this particular exception.)

### DigestException

    public DigestException(String msg)

  Constructs a DigestException with the specified detail message. (A detail message is a String that describes this particular exception.)

  Parameters:
    `msg` - the detail message.

### DigestException

    public DigestException(String message,
                           Throwable cause)

  Creates a `DigestException` with the specified detail message and cause.

  Parameters:
    `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.5

### DigestException

    public DigestException(Throwable cause)

  Creates a `DigestException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

  Parameters:
    `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
  Since:
    1.5

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Standard Ed. 5.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2004 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.